/* ======================================================
Global Weather Explorer - Professional Styling
Author: Jemal Hangela 
Project 2: Global Weather Explorer (Interactive Frontend Development Project) 
Last Updated:April 2026
====================================================== */

body{
font-family: Arial, Helvetica, sans-serif;
margin:0;
background:linear-gradient(120deg,#4facfe,#00f2fe);
min-height:100vh;
color:#333;
}

header{
text-align:center;
padding:30px;
color:white;
}

/* ===== Calendar ===== */

#calendar{
display:flex;
justify-content:center;
gap:12px;
margin-top:20px;
flex-wrap:wrap;
}

.day{
padding:10px 16px;
border-radius:12px;
font-weight:bold;
color:white;
background:linear-gradient(135deg,#667eea,#764ba2);
box-shadow:0 4px 12px rgba(0,0,0,0.2);
transition:0.3s;
cursor:pointer;
}

.day:hover{
transform:scale(1.1);
background:linear-gradient(135deg,#ff7e5f,#feb47b);
}

.today{
background:linear-gradient(135deg,#ffcc00,#ff9900);
color:black;
transform:scale(1.15);
border:2px solid white;
}

/* ===== Search ===== */

.search-section{
background:white;
padding:30px;
text-align:center;
margin:20px;
border-radius:10px;
box-shadow:0 5px 15px rgba(0,0,0,0.1);
}

.search-box{
display:flex;
justify-content:center;
gap:10px;
}

input{
padding:12px;
width:220px;
border-radius:5px;
border:1px solid #ccc;
}

button{
padding:12px 20px;
border:none;
border-radius:5px;
background:#1f3c88;
color:white;
cursor:pointer;
}

button:hover{
background:#16306e;
}

/* ===== Weather ===== */

.weather-section{
text-align:center;
padding:20px;
}

.weather-card{
background:white;
padding:25px;
width:320px;
margin:auto;
border-radius:15px;
box-shadow:0 10px 30px rgba(0,0,0,0.2);
transition:0.3s;
}

.weather-card:hover{
transform:translateY(-5px);
}

.city-logo{
width:80px;
height:80px;
border-radius:50%;
object-fit:cover;
}

/* ===== Forecast ===== */

.forecast-section{
text-align:center;
padding:30px;
}

#forecastContainer{
display:flex;
justify-content:center;
gap:15px;
flex-wrap:wrap;
}

.forecast-card{
background:white;
padding:15px;
border-radius:12px;
width:130px;
box-shadow:0 5px 20px rgba(0,0,0,0.15);
transition:0.3s;
}

.forecast-card:hover{
transform:scale(1.05);
background:#f9f9f9;
}

/* ===== Error ===== */

#errorMessage{
color:red;
margin-top:10px;
}

/* ===== Footer ===== */

footer{
margin-top:40px;
background:#222;
color:white;
text-align:center;
padding:15px;
}

/* ===== Responsive ===== */

@media(max-width:600px){
.search-box{
flex-direction:column;
}
.weather-card{
width:90%;
}
}